org.apache.velocity.tools.generic

## Class CollectionTool.PropertiesComparator

- java.lang.Object
- - org.apache.velocity.tools.generic.CollectionTool.PropertiesComparator

All Implemented Interfaces:
  Serializable, Comparator

Enclosing class:
  CollectionTool

    public static class CollectionTool.PropertiesComparator
    extends Object
    implements Comparator, Serializable

Does all of the comparisons

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `TYPE_ASCENDING_SHORT`
`static String` `TYPE_DESCENDING_SHORT`

### Constructor Summary

Constructors
Constructor and Description
`PropertiesComparator(List props)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(Object lhs, Object rhs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Field Detail

#### TYPE_ASCENDING_SHORT

    public static final String TYPE_ASCENDING_SHORT

See Also:
  Constant Field Values

#### TYPE_DESCENDING_SHORT

    public static final String TYPE_DESCENDING_SHORT

See Also:
  Constant Field Values

### Constructor Detail

#### PropertiesComparator

    public PropertiesComparator(List props)

### Method Detail

#### compare

    public int compare(Object lhs,
                       Object rhs)

Specified by:
  `compare` in interface `Comparator`